(function () {
    'use strict';

    angular
        .module('app')
        .factory('ConsultaDispositivo', ConsultaDispositivo);

    ConsultaDispositivo.$inject = ['Server'];

    function ConsultaDispositivo(Server) {
        function ConsultaDispositivo(obj, successCallback, errorCallback) {
            var action = 'Dispositivos/CarregarDispositivos?take=' + obj.take + '&skip=' + obj.skip + '&typeOrder=' + obj.typeOrder + '&asc=' + obj.asc;
            Server.get(action, null, successCallback, errorCallback);
        };

        function ConsultaDispositivoPorCodigo(codigoDispositivo, successCallback, errorCallback) {
            var action = 'Dispositivos/CarregarDispositivoPorCodigo?codigoDispositivo=' + codigoDispositivo;
            Server.get(action, null, successCallback, errorCallback);
        };

        function LimparFiltro(obj, successCallback, errorCallback) {
            var action = 'Dispositivos/LimparFiltro?take=' + obj.take + '&typeOrder=' + obj.typeOrder + '&asc=' + obj.asc;
            Server.get(action, null, successCallback, errorCallback);
        };

        return {
            ConsultaDispositivoPorCodigo: ConsultaDispositivoPorCodigo,
            ConsultaDispositivo: ConsultaDispositivo,
            LimparFiltro: LimparFiltro
        }
    }
})();